SoFloatElement(3)

NAME
SoFloatElement - SoFloatElement is an abstract base class for elements that consists of a single float value.

SYNOPSIS

#include <Inventor/elements/SoFloatElement.h>

Inherits SoElement.

Inherited by SoComplexityElement, SoCreaseAngleElement, SoDecimationPercentageElement, SoFocalDistanceElement, SoFontSizeElement, SoLineWidthElement, SoListenerGainElement, SoPointSizeElement, and SoTextureQualityElement.

  Public Member Functions
virtual void init (SoState *state)
virtual SbBool matches (const SoElement *element) const
virtual SoElement * copyMatchInfo (void) const
virtual void print (FILE *file) const
virtual void setElt (float value)

  Static Public Member Functions
static SoType getClassTypeId (void)
static int getClassStackIndex (void)
static void initClass (void)
static void set (const int stackIndex, SoState *const state, SoNode *const node, const float value)
static void set (const int stackIndex, SoState *const state, const float value)
static float get (const int stackIndex, SoState *const state)

  Protected Member Functions
virtual ~SoFloatElement ()

  Protected Attributes
float data

  Additional Inherited Members

Detailed Description

SoFloatElement is an abstract base class for elements that consists of a single float value. This is the superclass of elements where the new element data replaces the old data, and where the data the element stores is a simple single precision floating point value.

This element is like a convenient light-weight version of the SoReplacedElement. It differs from the SoReplacedElement in that the set() and get() methods are already implemented, since it is known that subclasses will still contain just a single float value.

See also
    SoReplacedElement, SoInt32Element, SoAccumulatedElement

Constructor & Destructor Documentation

  SoFloatElement::~SoFloatElement (void) [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoFloatElement::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  int SoFloatElement::getClassStackIndex (void) [static]
This static method returns the state stack index for the class.

  void SoFloatElement::initClass (void) [static]
Initialize relevant common data for all instances, like the type system.

  void SoFloatElement::init (SoState * state) [virtual]
Initializes the element to its default value. The default value is 0.0.

Reimplemented from SoElement.

Reimplemented in SoComplexityElement, SoCreaseAngleElement, SoDecimationPercentageElement, SoFocalDistanceElement, SoFontSizeElement, SoGLLineWidthElement, SoGLPointSizeElement, SoLineWidthElement, SoListenerGainElement, SoPointSizeElement, and SoTextureQualityElement.

  SbBool SoFloatElement::matches (const SoElement * element) const [virtual]
This function returns TRUE is the element matches another element (of the same class), with respect to cache validity.

If the application programmer's extension element has a matches() function, it should also have a copyMatchInfo() function.

Implements SoElement.

  SoElement * SoFloatElement::copyMatchInfo (void) const [virtual]
This function creates a copy of the element that contains enough information to enable the matches() function to work.

Used to help with scene graph traversal caching operations.

Implements SoElement.

  void SoFloatElement::print (FILE * file) const [virtual]
This function is for printing element information, and is used mostly for debugging purposes.

Reimplemented from SoElement.

  void SoFloatElement::set (const int index, SoState *const state, SoNode *const node, const float value) [static]
Static method for setting the value of an element in the given state at the given stack index.

  void SoFloatElement::set (const int stackIndex, SoState *const state, const float value) [static]
Static method for setting the value of an element in the given state at the given stackIndex.

  float SoFloatElement::get (const int index, SoState *const state) [static]
Static method to fetch the value of the element of this type from the given state at the given stack index.

  void SoFloatElement::setElt (float value) [virtual]
Set element value.

Reimplemented in SoGLPointSizeElement, and SoGLLineWidthElement.

Member Data Documentation

  float SoFloatElement::data [protected]
The floating point value of the element.

Author

Generated automatically by Doxygen for Coin from the source code.